%define aurox_ver 11.0
%define rel 1

%define version 0.3.0.4

Summary: ReiserFS filesystem access and manipulation library
Name: libreiserfs
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Libraries
Source: progsreiserfs-%{version}.tar.gz
URL: http://reiserfs.linux.kiev.ua/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a library for reiserfs filesystem access and manipulation.
The primary goal is to develop the nice, full functionality library 
wich might be linked against any projects which needed reiserfs filesystem 
access. There are GNU Parted, GNU GRUB, Yaboot, Partimage, EVMS, etc.

%package devel
Summary: ReiserFS filesystem access and manipulation library development files
Group: Development/Libraries
Requires: %{name} = 0:%{version}-%{release}

%description devel
This is a library for reiserfs filesystem access and manipulation.
The primary goal is to develop the nice, full functionality library 
wich might be linked against any projects which needed reiserfs filesystem 
access. There are GNU Parted, GNU GRUB, Yaboot, Partimage, EVMS, etc.

This package contains library's headers and other development files.

%prep
%setup -n progsreiserfs-%{version} -q

%build
libtoolize --force
aclocal
automake
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
pushd libreiserfs
	%makeinstall
popd

rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_sbindir}
rm -rf $RPM_BUILD_ROOT%{_mandir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS THANKS TODO
%{_prefix}/lib/%{name}*.so.*
%{_prefix}/lib/libdal*.so.*

%files devel
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS THANKS TODO
%doc doc/API
#%{_bindir}/%{name}-config
%{_libdir}/%{name}*.so
%{_libdir}/%{name}*.la
%{_libdir}/%{name}*.a
%{_libdir}/libdal*.so
%{_libdir}/libdal*.la
%{_libdir}/libdal*.a
%{_datadir}/aclocal/progsreiserfs.m4
%dir %{_includedir}/dal
%{_includedir}/dal/*
%dir %{_includedir}/reiserfs
%{_includedir}/reiserfs/*

%changelog
* Tue Aug 02 2005 Rafal Kwasny <rkwasny@aurox.org> 0.3.0.4-11.0.aur.1
- rebuild

* Thu Jan 29 2004 Aurox Team <aurox@aurox.org> 0:0.3.0.4-9.3.aur.1
- recreate configure
- initial import to svn
- package library only as we have tools in reiserfs-urils package

* Tue Jan 20 2004 Robert Glowczynski <robertg@aurox.org>
- Initial version
